package com.red.circle.console.app.anchoragent;

import com.red.circle.tool.core.date.TimestampUtils;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * bd 团队成员
 *
 * @author longli on 2024/03/12
 */
@Slf4j
@Component
@AllArgsConstructor
public class AnchorAgentManager {

  /**
   * 校验是否可以删除
   *
   * @return true 可以删除；反之不可以.
   */
  public Boolean checkCanDelete() {

    // 当前月份完整天数
    int day = TimestampUtils.getCurrentMonthDay();
    log.warn("点击删除{} , {}", day, TimestampUtils.now().toLocalDateTime().getDayOfMonth());

    // 当前月份的第一天与最后两天不允许删除主播，将不允许删除主播，代理等操作
    return !List.of(1, day - 1, day)
        .contains(TimestampUtils.now().toLocalDateTime().getDayOfMonth());

  }

}
